package com.chenyang.nse.bussiness.entity.orm.table.core.scheduler;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SCHEDULER_KM_RULES"
)
public class TCoreSchedulerKmRules extends TBaseEntity {
   private static final long serialVersionUID = -207764037496612363L;
   private String rulevalidity;
   private String rulestype;
   private String rulestime;
   private String howtime;
   private Date starttime;
   private Date endtime;
   private String rulesday;
   private String ruleshour;
   private String rulesminute;
   private String expression;
   private String xloptions;
   private String timebox;

   public static long getSerialVersionUID() {
      return -207764037496612363L;
   }

   public String getRulevalidity() {
      return this.rulevalidity;
   }

   public void setRulevalidity(String rulevalidity) {
      this.rulevalidity = rulevalidity;
   }

   public String getRulestype() {
      return this.rulestype;
   }

   public void setRulestype(String rulestype) {
      this.rulestype = rulestype;
   }

   public String getRulestime() {
      return this.rulestime;
   }

   public void setRulestime(String rulestime) {
      this.rulestime = rulestime;
   }

   public String getHowtime() {
      return this.howtime;
   }

   public void setHowtime(String howtime) {
      this.howtime = howtime;
   }

   public Date getStarttime() {
      return this.starttime;
   }

   public void setStarttime(Date starttime) {
      this.starttime = starttime;
   }

   public Date getEndtime() {
      return this.endtime;
   }

   public void setEndtime(Date endtime) {
      this.endtime = endtime;
   }

   public String getRulesday() {
      return this.rulesday;
   }

   public void setRulesday(String rulesday) {
      this.rulesday = rulesday;
   }

   public String getRuleshour() {
      return this.ruleshour;
   }

   public void setRuleshour(String ruleshour) {
      this.ruleshour = ruleshour;
   }

   public String getRulesminute() {
      return this.rulesminute;
   }

   public void setRulesminute(String rulesminute) {
      this.rulesminute = rulesminute;
   }

   public String getExpression() {
      return this.expression;
   }

   public void setExpression(String expression) {
      this.expression = expression;
   }

   public String getXloptions() {
      return this.xloptions;
   }

   public void setXloptions(String xloptions) {
      this.xloptions = xloptions;
   }

   public String getTimebox() {
      return this.timebox;
   }

   public void setTimebox(String timebox) {
      this.timebox = timebox;
   }
}
